<?php

use Illuminate\Database\Seeder;

class ScreenDescriptionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $screen = factory(\App\Screen::class)->create();

        foreach (languages() as $language) {
            factory(\App\ScreenDescription::class)->create(
                [
                    'screen_id' => $screen->id,
                    'language_id' => $language->id,
                ]
            );
        }
    }
}
